description: TensorFlow Ranking Keras Module.

<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfr.keras" />
<meta itemprop="path" content="Stable" />
</div>

# Module: tfr.keras

<!-- Insert buttons and diff -->

<table class="tfo-notebook-buttons tfo-api nocontent" align="left">
<td>
  <a target="_blank" href="https://github.com/tensorflow/ranking/tree/master/tensorflow_ranking/python/keras/__init__.py">
    <img src="https://www.tensorflow.org/images/GitHub-Mark-32px.png" />
    View source on GitHub
  </a>
</td>
</table>

TensorFlow Ranking Keras Module.

## Modules

[`layers`](../tfr/keras/layers.md) module: Defines Keras Layers for TF-Ranking.

[`losses`](../tfr/keras/losses.md) module: Keras losses in TF-Ranking.

[`metrics`](../tfr/keras/metrics.md) module: Keras metrics in TF-Ranking.

[`model`](../tfr/keras/model.md) module: Ranking model utilities and classes in
tfr.keras.

[`pipeline`](../tfr/keras/pipeline.md) module: Ranking pipeline to train
tf.keras.Model in tfr.keras.

[`saved_model`](../tfr/keras/saved_model.md) module: SavedModel utilities for
TF-Ranking.

[`strategy_utils`](../tfr/keras/strategy_utils.md) module: tf.distribute
strategy utils for Ranking pipeline in tfr.keras.

[`utils`](../tfr/keras/utils.md) module: Utils for tfr.keras.
